Index: apps/app_cdr.c
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/app_cdr.c,v
retrieving revision 1.2
diff -u -r1.2 app_cdr.c
--- apps/app_cdr.c	18 Sep 2003 21:52:01 -0000	1.2
+++ apps/app_cdr.c	27 Sep 2003 04:12:23 -0000
@@ -11,6 +11,7 @@
  * the GNU General Public License
  */
 
+#include <sys/types.h>
 #include <asterisk/channel.h>
 #include <asterisk/module.h>
 #include <asterisk/pbx.h>
Index: apps/app_hasnewvoicemail.c
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/app_hasnewvoicemail.c,v
retrieving revision 1.1
diff -u -r1.1 app_hasnewvoicemail.c
--- apps/app_hasnewvoicemail.c	26 Sep 2003 03:39:58 -0000	1.1
+++ apps/app_hasnewvoicemail.c	27 Sep 2003 04:12:23 -0000
@@ -28,6 +28,7 @@
  * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
 
+#include <sys/types.h>
 #include <asterisk/file.h>
 #include <asterisk/logger.h>
 #include <asterisk/channel.h>
@@ -37,7 +38,6 @@
 #include <unistd.h>
 #include <string.h>
 #include <stdlib.h>
-#include <sys/types.h>
 #include <dirent.h>
 
 #include <pthread.h>
@@ -70,7 +70,7 @@
 	}
 	LOCAL_USER_ADD(u);
 
-	input = strdupa((char *)data);
+	input = ast_strdupa((char *)data);
 	if (input) {
 		if ((vmbox = strsep(&input,"|")))
 			varname = input;
Index: channels/chan_zap.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_zap.c,v
retrieving revision 1.105
diff -u -r1.105 chan_zap.c
--- channels/chan_zap.c	27 Sep 2003 02:45:37 -0000	1.105
+++ channels/chan_zap.c	27 Sep 2003 04:12:34 -0000
@@ -5308,7 +5308,7 @@
 		return NULL;
 	}
 	if (data) {
-		dest = strdupa((char *)data);
+		dest = ast_strdupa((char *)data);
 	} else {
 		ast_log(LOG_WARNING, "Channel requested with no data\n");
 		return NULL;
Index: channels/chan_zap_old.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_zap_old.c,v
retrieving revision 1.5
diff -u -r1.5 chan_zap_old.c
--- channels/chan_zap_old.c	23 Aug 2003 17:50:06 -0000	1.5
+++ channels/chan_zap_old.c	27 Sep 2003 04:12:45 -0000
@@ -5189,7 +5189,7 @@
 		return NULL;
 	}
 	if (data) {
-		dest = strdupa((char *)data);
+		dest = ast_strdupa((char *)data);
 	} else {
 		ast_log(LOG_WARNING, "Channel requested with no data\n");
 		return NULL;
